拖拖拽拽建网店 轻轻松松赚钱 免费体验 ECshop下载 | ECshop商业授权咨询
安装指南 | 升级指南 | 用户手册 | 在线帮助
进入论坛发帖前请先读本帖 | 常见问题
ECShop免费招募官方插件合作伙伴
ECShop商业授权咨询
ECshop官方免费安全测评
财付通双接口发布
ecshop 最新补丁 | 支付宝升级包
ECShop 模板制作手册 | ECShop 最新模板
ECShop V2.7.2模板
返回列表 发帖

[安装升级] 升级失败

2.7.0到2.7.1版本,出现信息:备份数据…………失败






Warning: require_once(D:/www/ECSHOP2.7/upgrade/packages/v2.1.0/dump_table.php) [function.require-once]: failed to open stream: No such file or directory in D:\www\ECSHOP2.7\upgrade\includes\lib_updater.php on line 333

Fatal error: require_once() [function.require]: Failed opening required 'D:/www/ECSHOP2.7/upgrade/packages/v2.1.0/dump_table.php' (include_path='.;C:\php5\pear') in D:\www\ECSHOP2.7\upgrade\includes\lib_updater.php on line 333
ECShop下载                             ECShop商业授权                             ECshop官方免费安全测评

upgrade\includes\lib_updater.php on line 333  
333行 什么语句呢  顺便也贴出来

TOP

require_once(ROOT_PATH . 'upgrade/packages/' . $next_ver . '/dump_table.php');  这句,怎么会没有dump_table.php这个文件呢?

TOP

升级表信息的时候 出现的问题
建议恢复一下 重新升级

TOP

请问你是什么版本升级过来,还有是否修改过版本号
喜欢帮助他人想申请成为版主的热心网友可PM我。
官方定制开发 咨询QQ542554970

TOP

2.7.0升級2.7.1的,版本号在哪里修改呢?

TOP

刚才数据库中看到XX_version     hidden     v2.7.0
ECShop下载                             ECShop商业授权                             ECshop官方免费安全测评

TOP

确定没有改过版本号啊

TOP

请问升级一定要安装UCENTER吗?

TOP

本帖最后由 ajaxggg 于 2010-4-26 18:08 编辑

5# 晓天
您好,我2.70的版本是新安装的,不是升级来的,现在升级到2.71出现上面的问题,我测试了下,发现问题不在页面文件上,而在数据库上,因为我重新安装了一个2.70版本,然后升级成功。第二次试验:重新安装2.70版本,将原来旧的2.70版本的数据库覆盖新装的2.70数据库,然后升级失败,提示同上!不知道数据库哪些表比较有可能出现问题呢?我比对过新旧数据库的_shop_config表,
ecs_versionhiddenv2.7.0
都是一样的,请赐教!

补充一点,在升级细节中居然显示:正在从 v2.0.5 升级到 v2.1.0  为什么不是V2.7.0升级到V2.7.1呢?我想问题就在这里了

TOP

搞定搞定,哈哈,原来问题在于XX_shop_config表,不知道为什么,这个表的CODE栏位被改成XX_version,而升级包里的SQL是CODE=‘ecs_version’无语~~~

TOP

喜欢帮助他人想申请成为版主的热心网友可PM我。
官方定制开发 咨询QQ542554970
ECShop下载                             ECShop商业授权                             ECshop官方免费安全测评

TOP

最新-z0我想我明白楼主的意思了

我想我明白楼主的意思了
ECShop下载                             ECShop商业授权                             ECshop官方免费安全测评

TOP

返回列表